Bug 114394 - WARNING: Multiple same specifications for /var/lib/dhcp(3)?.
WARNING: Multiple same specifications for /var/lib/dhcp(3)?.
Status: CLOSED DUPLICATE of bug 113927
Product: Red Hat Raw Hide
Classification: Retired
Component: policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-01-27 11:52 EST by Felipe Alfaro Solana
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 14:00:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2004-01-27 11:52:10 EST
Description of problem:
Every time I invoke rpm to install, remove or upgrade packages, the
following SELinux-related warning is displayed:

WARNING: Multiple same specifications for /var/lib/dhcp(3)?.

I've found that the file
/etc/security/selinux/src/policy/file_contexts/file_contexts has the
following entries:

# dhcpcd
/etc/dhcpc.*(/.*)?              system_u:object_r:etc_dhcp_t
/etc/dhclient.*conf     --      system_u:object_r:etc_dhcp_t
/etc/dhclient-script    --      system_u:object_r:etc_dhcp_t
/sbin/dhcpcd            --      system_u:object_r:dhcpc_exec_t
/sbin/dhclient.*        --      system_u:object_r:dhcpc_exec_t
/var/lib/dhcp(3)?       -d      system_u:object_r:dhcp_state_t
/var/lib/dhcp(3)?/dhclient.*    system_u:object_r:dhcpc_state_t
/var/run/dhclient.*\.pid --     system_u:object_r:dhcpc_var_run_t
# pump
/sbin/pump              --      system_u:object_r:dhcpc_exec_t
# dhcpd
/etc/dhcpd.conf         --      system_u:object_r:etc_dhcp_t
/etc/dhcp3(/.*)?                system_u:object_r:etc_dhcp_t
/usr/sbin/dhcpd.*       --      system_u:object_r:dhcpd_exec_t
/var/lib/dhcp(3)?       -d      system_u:object_r:dhcp_state_t
/var/lib/dhcp(3)?/dhcpd\.leases.* -- system_u:object_r:dhcpd_state_t
/var/run/dhcpd\.pid     -d      system_u:object_r:dhcpd_var_run_t

If you look at them carefully, /var/lib/dhcp(3) is specified twice,
one for dhcpd and another one for dhcpcd. Both entries are identical,
so one of them must be removed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install policy-1.4.9-2
2. Install dhcp-3.0.1rc12-1
3. Install dhclient-3.0.1rc12-1
4. Try installing, upgrading or removing a package using rpm. The
warning I described above will be shown every time RPM is run.
Actual results:
RPM complains about /var/lib/dhcp(3) being specified multiple times

Expected results:
The SELinux policy should be fixed to stop specifying /var/lib/dhcp(3)
multiple times.

Additional info:
Comment 1 Felipe Alfaro Solana 2004-01-27 11:54:34 EST
I forgot to mention that this warning is not shown if the dhcp package
is *not* installed.
Comment 2 Mike McLean 2004-02-09 17:59:04 EST

*** This bug has been marked as a duplicate of 113927 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:00:57 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.